interaction               package:base               R Documentation

Compute Factor Interactions

Description:

     'interaction' computes a factor which represents the interaction
     of the given factors.  The result of 'interaction' is always
     unordered.

Usage:

     interaction(..., drop = FALSE)

Arguments:

     ...: the factors for which interaction is to be computed, or a
          single list giving those factors.

    drop: if 'drop' is 'TRUE', empty factor levels are dropped from the
          result.  The default is to retain all factor levels.

Value:

     A factor which represents the interaction of the given factors.
     The levels are labelled as the levels of the individual factors
     joined by '.'.

References:

     Chambers, J. M. and Hastie, T. J. (1992) _Statistical Models in
     S_. Wadsworth & Brooks/Cole.

See Also:

     'factor', ':'

Examples:

     a <- gl(2, 2, 8)
     b <- gl(2, 4, 8)
     interaction(a, b)

